package com.bonus.core.customer.dto;

import com.bonus.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@LeNiuDecryptDataProcess
@Data
public class CustInfoParam {
   private Long custId;
   @LeNiuDecryptField
   private String custName;
   private String custNum;
   private Integer custLimitId;
   private List<Long> orgIdList;
   private String mobile;
   private Integer sex;
   private Integer psnType;
   private Integer featuresBuildStatus;
   private Integer photoType;
   private Integer custState;
   private Integer accStatus;
   private String serialNum;
   private LocalDate validityDate;
   private List<Integer> cardStatusList;
   private LocalDateTime beginOpenCardTime;
   private LocalDateTime endOpenCardTime;
   @ApiModelProperty("个人账户级别 1个人 2部门主账户")
   private Integer custType;
   private String shape;
   private String chronicIds;
   private LocalDate birthdayStartTime;
   private LocalDate birthdayEndTime;
   private String keyword;
   private List<Long> placeIdList;
   private List<Integer> healthStateList;
   private List<Long> costCenterIds;
   @ApiModelProperty("医嘱")
   private List<String> doctorAdviceList;
   private List<Integer> psnTypeList;
   @ApiModelProperty("1 成功 0 异常")
   private Integer doorStatus;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public Integer getCustLimitId() {
      return this.custLimitId;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Integer getSex() {
      return this.sex;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public Integer getFeaturesBuildStatus() {
      return this.featuresBuildStatus;
   }

   public Integer getPhotoType() {
      return this.photoType;
   }

   public Integer getCustState() {
      return this.custState;
   }

   public Integer getAccStatus() {
      return this.accStatus;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public LocalDate getValidityDate() {
      return this.validityDate;
   }

   public List<Integer> getCardStatusList() {
      return this.cardStatusList;
   }

   public LocalDateTime getBeginOpenCardTime() {
      return this.beginOpenCardTime;
   }

   public LocalDateTime getEndOpenCardTime() {
      return this.endOpenCardTime;
   }

   public Integer getCustType() {
      return this.custType;
   }

   public String getShape() {
      return this.shape;
   }

   public String getChronicIds() {
      return this.chronicIds;
   }

   public LocalDate getBirthdayStartTime() {
      return this.birthdayStartTime;
   }

   public LocalDate getBirthdayEndTime() {
      return this.birthdayEndTime;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public List<Long> getPlaceIdList() {
      return this.placeIdList;
   }

   public List<Integer> getHealthStateList() {
      return this.healthStateList;
   }

   public List<Long> getCostCenterIds() {
      return this.costCenterIds;
   }

   public List<String> getDoctorAdviceList() {
      return this.doctorAdviceList;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public Integer getDoorStatus() {
      return this.doorStatus;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustLimitId(final Integer custLimitId) {
      this.custLimitId = custLimitId;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setFeaturesBuildStatus(final Integer featuresBuildStatus) {
      this.featuresBuildStatus = featuresBuildStatus;
   }

   public void setPhotoType(final Integer photoType) {
      this.photoType = photoType;
   }

   public void setCustState(final Integer custState) {
      this.custState = custState;
   }

   public void setAccStatus(final Integer accStatus) {
      this.accStatus = accStatus;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setValidityDate(final LocalDate validityDate) {
      this.validityDate = validityDate;
   }

   public void setCardStatusList(final List<Integer> cardStatusList) {
      this.cardStatusList = cardStatusList;
   }

   public void setBeginOpenCardTime(final LocalDateTime beginOpenCardTime) {
      this.beginOpenCardTime = beginOpenCardTime;
   }

   public void setEndOpenCardTime(final LocalDateTime endOpenCardTime) {
      this.endOpenCardTime = endOpenCardTime;
   }

   public void setCustType(final Integer custType) {
      this.custType = custType;
   }

   public void setShape(final String shape) {
      this.shape = shape;
   }

   public void setChronicIds(final String chronicIds) {
      this.chronicIds = chronicIds;
   }

   public void setBirthdayStartTime(final LocalDate birthdayStartTime) {
      this.birthdayStartTime = birthdayStartTime;
   }

   public void setBirthdayEndTime(final LocalDate birthdayEndTime) {
      this.birthdayEndTime = birthdayEndTime;
   }

   public void setKeyword(final String keyword) {
      this.keyword = keyword;
   }

   public void setPlaceIdList(final List<Long> placeIdList) {
      this.placeIdList = placeIdList;
   }

   public void setHealthStateList(final List<Integer> healthStateList) {
      this.healthStateList = healthStateList;
   }

   public void setCostCenterIds(final List<Long> costCenterIds) {
      this.costCenterIds = costCenterIds;
   }

   public void setDoctorAdviceList(final List<String> doctorAdviceList) {
      this.doctorAdviceList = doctorAdviceList;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setDoorStatus(final Integer doorStatus) {
      this.doorStatus = doorStatus;
   }




}
